Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Interface Result

All Superinterfaces:
  com.solarmetric.util.Closeable

All Known Implementing Classes:
  AbstractResult

public interface Result
extends com.solarmetric.util.Closeable

A result from the execution of a query or stored procedure. This interface is aligned closely with the `ResultSet`, so you can expect like-named methods to have similar semantics. However, the interface has been distilled and simplified, so a result object could easily mask information sources other than a result set.

For more flexible customization of data loading, see the `PCResultObjectProvider`.

See Also:
  `ResultSetResult`

Method Summary
`boolean` | `absolute(int row)` Move to the given 0-based row in the result, or return false if the row does not exist.
`void` | `close()` Free the resources used by this result; do not close the SQL connection.
`boolean` | `contains(Column col, Joins joins)` Return true if the given or column is available in the result.
`boolean` | `contains(Object obj)` Return true if the given or id or column is available in the result.
`Array` | `getArray(Column col, Joins joins)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`Array` | `getArray(Object obj)` Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.
`InputStream` | `getAsciiStream(Column col, Joins joins)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`InputStream` | `getAsciiStream(Object obj)` Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.
`BigDecimal` | `getBigDecimal(Column col, Joins joins)` Return the value stored in the given column.
`BigDecimal` | `getBigDecimal(Object obj)` Return the value stored in the given column or id.
`BigInteger` | `getBigInteger(Column col, Joins joins)` Return the value stored in the given column.
`BigInteger` | `getBigInteger(Object obj)` Return the value stored in the given column or id.
`InputStream` | `getBinaryStream(Column col, Joins joins)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`InputStream` | `getBinaryStream(Object obj)` Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.
`Blob` | `getBlob(Column col, Joins joins)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`Blob` | `getBlob(Object obj)` Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.
`boolean` | `getBoolean(Column col, Joins joins)` Return the value stored in the given column.
`boolean` | `getBoolean(Object obj)` Return the value stored in the given column or id.
`byte` | `getByte(Column col, Joins joins)` Return the value stored in the given column.
`byte` | `getByte(Object obj)` Return the value stored in the given column or id.
`byte[]` | `getBytes(Column col, Joins joins)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`byte[]` | `getBytes(Object obj)` Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.
`char` | `getChar(Column col, Joins joins)` Return the value stored in the given column.
`char` | `getChar(Object obj)` Return the value stored in the given column or id.
`Reader` | `getCharacterStream(Column col, Joins joins)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`Reader` | `getCharacterStream(Object obj)` Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.
`Clob` | `getClob(Column col, Joins joins)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`Clob` | `getClob(Object obj)` Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.
`Date` | `getDate(Column col, Calendar cal, Joins joins)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`Date` | `getDate(Column col, Joins joins)` Return the value stored in the given column.
`Date` | `getDate(Object obj)` Return the value stored in the given column or id.
`Date` | `getDate(Object obj, Calendar cal)` Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.
`double` | `getDouble(Column col, Joins joins)` Return the value stored in the given column.
`double` | `getDouble(Object obj)` Return the value stored in the given column or id.
`Result` | `getEager(Object key)` Return the eager result for the given key, or null if none.
`float` | `getFloat(Column col, Joins joins)` Return the value stored in the given column.
`float` | `getFloat(Object obj)` Return the value stored in the given column or id.
`int` | `getInt(Column col, Joins joins)` Return the value stored in the given column.
`int` | `getInt(Object obj)` Return the value stored in the given column or id.
`Locale` | `getLocale(Column col, Joins joins)` Return the value stored in the given column.
`Locale` | `getLocale(Object obj)` Return the value stored in the given column or id.
`long` | `getLong(Column col, Joins joins)` Return the value stored in the given column.
`long` | `getLong(Object obj)` Return the value stored in the given column or id.
`Object` | `getObject(Column col, int metaTypeCode, Object arg, Joins joins)` Return the value stored in the given column.
`Object` | `getObject(Column col, Map map, Joins joins)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`Object` | `getObject(Object obj, int metaTypeCode, Object arg)` Return the value stored in the given column or id.
`Object` | `getObject(Object obj, Map map)` Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.
`Object` | `getProcessed(Object key)` Return the processed data under the given key, or null if none.
`Ref` | `getRef(Column col, Map map, Joins joins)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`Ref` | `getRef(Object obj, Map map)` Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.
`short` | `getShort(Column col, Joins joins)` Return the value stored in the given column.
`short` | `getShort(Object obj)` Return the value stored in the given column or id.
`String` | `getString(Column col, Joins joins)` Return the value stored in the given column.
`String` | `getString(Object obj)` Return the value stored in the given column or id.
`Time` | `getTime(Column col, Calendar cal, Joins joins)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`Time` | `getTime(Object obj, Calendar cal)` Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.
`Timestamp` | `getTimestamp(Column col, Calendar cal, Joins joins)` Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.
`Timestamp` | `getTimestamp(Object obj, Calendar cal)` Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.
`boolean` | `isLocking()` If true, then any results loaded from this Result will be locked in the database.
`Object` | `load(ClassMapping mapping, JDBCStoreManager store, JDBCFetchConfiguration fetch)` Load a pc object using the given store manager.
`Object` | `load(ClassMapping mapping, JDBCStoreManager store, JDBCFetchConfiguration fetch, Joins joins)` Load a pc object using the given store manager.
`Joins` | `newJoins()` Return a new joins instance to use for traversing to related data.
`boolean` | `next()` Advance to the next row, or return false if there are no more rows in the result.
`void` | `pushBack()` Push back the last result.
`void` | `putProcessed(Object key, Object data)` Set the data resulting from processing an eager result.
`int` | `size()` Return the number of rows in this result.
`boolean` | `supportsRandomAccess()` Return true if the result supports random access.
`boolean` | `wasNull()` Return true if the last value fetched was null.

Method Detail

### getEager

    public Result getEager(Object key)

  Return the eager result for the given key, or null if none.

### putProcessed

    public void putProcessed(Object key,
                             Object data)

  Set the data resulting from processing an eager result.

### getProcessed

    public Object getProcessed(Object key)

  Return the processed data under the given key, or null if none.

### newJoins

    public Joins newJoins()

  Return a new joins instance to use for traversing to related data.

### close

    public void close()

  Free the resources used by this result; do not close the SQL connection.
  Specified by:
    `close` in interface `com.solarmetric.util.Closeable`

### isLocking

    public boolean isLocking()

  If true, then any results loaded from this Result will be locked in the database.

### supportsRandomAccess

    public boolean supportsRandomAccess()
                                 throws SQLException

  Return true if the result supports random access.

### absolute

    public boolean absolute(int row)
                     throws SQLException

  Move to the given 0-based row in the result, or return false if the row does not exist. This method will only be called if the result supports random access.

### next

    public boolean next()
                 throws SQLException

  Advance to the next row, or return false if there are no more rows in the result.

### pushBack

    public void pushBack()
                  throws SQLException

  Push back the last result. In other words, just ignore the next call to `next()`. After the first time this method is called, additional calls before a call to `next()` or `absolute(int)` should have no further affect.

### size

    public int size()
             throws SQLException

  Return the number of rows in this result.

### contains

    public boolean contains(Object obj)
                     throws SQLException

  Return true if the given or id or column is available in the result.

### contains

    public boolean contains(Column col,
                            Joins joins)
                     throws SQLException

  Return true if the given or column is available in the result.

### load

    public Object load(ClassMapping mapping,
                       JDBCStoreManager store,
                       JDBCFetchConfiguration fetch)
                throws SQLException

  Load a pc object using the given store manager.

### load

    public Object load(ClassMapping mapping,
                       JDBCStoreManager store,
                       JDBCFetchConfiguration fetch,
                       Joins joins)
                throws SQLException

  Load a pc object using the given store manager.

### getArray

    public Array getArray(Object obj)
                   throws SQLException

  Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.

### getAsciiStream

    public InputStream getAsciiStream(Object obj)
                               throws SQLException

  Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.

### getBigDecimal

    public BigDecimal getBigDecimal(Object obj)
                             throws SQLException

  Return the value stored in the given column or id.

### getBigInteger

    public BigInteger getBigInteger(Object obj)
                             throws SQLException

  Return the value stored in the given column or id.

### getBinaryStream

    public InputStream getBinaryStream(Object obj)
                                throws SQLException

  Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.

### getBlob

    public Blob getBlob(Object obj)
                 throws SQLException

  Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.

### getBoolean

    public boolean getBoolean(Object obj)
                       throws SQLException

  Return the value stored in the given column or id.

### getByte

    public byte getByte(Object obj)
                 throws SQLException

  Return the value stored in the given column or id.

### getBytes

    public byte[] getBytes(Object obj)
                    throws SQLException

  Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.

### getChar

    public char getChar(Object obj)
                 throws SQLException

  Return the value stored in the given column or id.

### getCharacterStream

    public Reader getCharacterStream(Object obj)
                              throws SQLException

  Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.

### getClob

    public Clob getClob(Object obj)
                 throws SQLException

  Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.

### getDate

    public Date getDate(Object obj)
                 throws SQLException

  Return the value stored in the given column or id.

### getDate

    public Date getDate(Object obj,
                        Calendar cal)
                 throws SQLException

  Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.

### getDouble

    public double getDouble(Object obj)
                     throws SQLException

  Return the value stored in the given column or id.

### getFloat

    public float getFloat(Object obj)
                   throws SQLException

  Return the value stored in the given column or id.

### getInt

    public int getInt(Object obj)
               throws SQLException

  Return the value stored in the given column or id.

### getLocale

    public Locale getLocale(Object obj)
                     throws SQLException

  Return the value stored in the given column or id.

### getLong

    public long getLong(Object obj)
                 throws SQLException

  Return the value stored in the given column or id.

### getObject

    public Object getObject(Object obj,
                            int metaTypeCode,
                            Object arg)
                     throws SQLException

  Return the value stored in the given column or id.
  Parameters:
    `obj` - the column or id whose data to fetch
    `metaType` - the type code from `FieldMapping` for the type of the data
    `arg` - some JDBC data access methods use an argument, such as a `Calendar` or `Map`

### getObject

    public Object getObject(Object obj,
                            Map map)
                     throws SQLException

  Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.

### getRef

    public Ref getRef(Object obj,
                      Map map)
               throws SQLException

  Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.

### getShort

    public short getShort(Object obj)
                   throws SQLException

  Return the value stored in the given column or id.

### getString

    public String getString(Object obj)
                     throws SQLException

  Return the value stored in the given column or id.

### getTime

    public Time getTime(Object obj,
                        Calendar cal)
                 throws SQLException

  Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.

### getTimestamp

    public Timestamp getTimestamp(Object obj,
                                  Calendar cal)
                           throws SQLException

  Return the value stored in the given column or id; may not be supported by results that are not backed by a SQL result set.

### getArray

    public Array getArray(Column col,
                          Joins joins)
                   throws SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

### getAsciiStream

    public InputStream getAsciiStream(Column col,
                                      Joins joins)
                               throws SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

### getBigDecimal

    public BigDecimal getBigDecimal(Column col,
                                    Joins joins)
                             throws SQLException

  Return the value stored in the given column.

### getBigInteger

    public BigInteger getBigInteger(Column col,
                                    Joins joins)
                             throws SQLException

  Return the value stored in the given column.

### getBinaryStream

    public InputStream getBinaryStream(Column col,
                                       Joins joins)
                                throws SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

### getBlob

    public Blob getBlob(Column col,
                        Joins joins)
                 throws SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

### getBoolean

    public boolean getBoolean(Column col,
                              Joins joins)
                       throws SQLException

  Return the value stored in the given column.

### getByte

    public byte getByte(Column col,
                        Joins joins)
                 throws SQLException

  Return the value stored in the given column.

### getBytes

    public byte[] getBytes(Column col,
                           Joins joins)
                    throws SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

### getChar

    public char getChar(Column col,
                        Joins joins)
                 throws SQLException

  Return the value stored in the given column.

### getCharacterStream

    public Reader getCharacterStream(Column col,
                                     Joins joins)
                              throws SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

### getClob

    public Clob getClob(Column col,
                        Joins joins)
                 throws SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

### getDate

    public Date getDate(Column col,
                        Joins joins)
                 throws SQLException

  Return the value stored in the given column.

### getDate

    public Date getDate(Column col,
                        Calendar cal,
                        Joins joins)
                 throws SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

### getDouble

    public double getDouble(Column col,
                            Joins joins)
                     throws SQLException

  Return the value stored in the given column.

### getFloat

    public float getFloat(Column col,
                          Joins joins)
                   throws SQLException

  Return the value stored in the given column.

### getInt

    public int getInt(Column col,
                      Joins joins)
               throws SQLException

  Return the value stored in the given column.

### getLocale

    public Locale getLocale(Column col,
                            Joins joins)
                     throws SQLException

  Return the value stored in the given column.

### getLong

    public long getLong(Column col,
                        Joins joins)
                 throws SQLException

  Return the value stored in the given column.

### getObject

    public Object getObject(Column col,
                            int metaTypeCode,
                            Object arg,
                            Joins joins)
                     throws SQLException

  Return the value stored in the given column.
  Parameters:
    `col` - the column whose data to fetch
    `metaType` - the type code from `FieldMapping` for the type of the data
    `arg` - some JDBC data access methods use an argument, such as a `Calendar` or `Map`

### getObject

    public Object getObject(Column col,
                            Map map,
                            Joins joins)
                     throws SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

### getRef

    public Ref getRef(Column col,
                      Map map,
                      Joins joins)
               throws SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

### getShort

    public short getShort(Column col,
                          Joins joins)
                   throws SQLException

  Return the value stored in the given column.

### getString

    public String getString(Column col,
                            Joins joins)
                     throws SQLException

  Return the value stored in the given column.

### getTime

    public Time getTime(Column col,
                        Calendar cal,
                        Joins joins)
                 throws SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

### getTimestamp

    public Timestamp getTimestamp(Column col,
                                  Calendar cal,
                                  Joins joins)
                           throws SQLException

  Return the value stored in the given column; may not be supported by results that are not backed by a SQL result set.

### wasNull

    public boolean wasNull()
                    throws SQLException

  Return true if the last value fetched was null.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.